package com.develop.main.init.ui.provider

import androidx.appcompat.widget.AppCompatTextView
import com.chad.library.adapter.base.provider.BaseItemProvider
import com.chad.library.adapter.base.viewholder.BaseViewHolder
import com.develop.main.R
import com.develop.main.init.ui.adapter.RecipesMainAdapter

class CategoryTitleProvider : BaseItemProvider<Any>() {
    override val itemViewType: Int
        get() = RecipesMainAdapter.CATEGORY_TITLE_TAG
    override val layoutId: Int
        get() = R.layout.home_title_provider

    override fun convert(helper: BaseViewHolder, item: Any) {
        item as String
        helper.getView<AppCompatTextView>(R.id.tv_food_category_name).text = item
    }
}